Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.support
Class GrailsRootLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  org.codehaus.groovy.tools.RootLoader
                      org.codehaus.groovy.grails.cli.support.GrailsRootLoader

    public class GrailsRootLoader

extends org.codehaus.groovy.tools.RootLoader

Since:
  1.0

  Created: Nov 29, 2007
Author:
  Graeme Rocher

Constructor Summary
`GrailsRootLoader(org.codehaus.groovy.tools.LoaderConfiguration lc)`
`GrailsRootLoader(URL[] urls, ClassLoader parent)`

Method Summary
`protected Class` | `loadClass(String name, boolean resolve)`

Methods inherited from class org.codehaus.groovy.tools.RootLoader
`addURL, findClass, getResource`

Methods inherited from class java.net.URLClassLoader
`definePackage, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsRootLoader

    public GrailsRootLoader(URL[] urls,
                            ClassLoader parent)

### GrailsRootLoader

    public GrailsRootLoader(org.codehaus.groovy.tools.LoaderConfiguration lc)

Method Detail

### loadClass

    protected Class loadClass(String name,
                              boolean resolve)
                       throws ClassNotFoundException

  Overrides:
    `loadClass` in class `org.codehaus.groovy.tools.RootLoader`
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project